- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-session.cc File Reference

`#include <config.h>`
`#include "sbuild-chroot-plain.h"`
`#include "sbuild-chroot-lvm-snapshot.h"`
`#include "sbuild-run-parts.h"`
`#include "sbuild-session.h"`
`#include "sbuild-util.h"`
`#include <cassert>`
`#include <cerrno>`
`#include <cstdlib>`
`#include <cstring>`
`#include <iostream>`
`#include <memory>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <termios.h>`
`#include <unistd.h>`
`#include <syslog.h>`
`#include <boost/format.hpp>`
`#include <uuid/uuid.h>`

Include dependency graph for sbuild-session.cc:

## Typedefs
typedef std::pair< sbuild::session::error_code, const char * > | emap
## Functions
std::string | getcwd ()
| Get the current working directory.
bool | is_group_member (std::string const &group)
| Check group membership.
void | sighup_handler (int ignore)
| Handle the SIGHUP signal.
void | sigterm_handler (int ignore)
| Handle the SIGTERM signal.
## Variables
emap | init_errors []
| This is a list of the supported error codes.
volatile bool | sighup_called = false
volatile bool | sigterm_called = false

## Typedef Documentation

typedef std::pair<sbuild::session::error_code,const char *> emap`[static]`

## Function Documentation

std::string @12::getcwd | ( |  | ) | `[static]`

Get the current working directory.

If it can't be found, fall back to root.

Returns:
  the current working directory.

bool @12::is_group_member | ( | std::string const & | group | ) | `[static]`

Check group membership.

Parameters:

  | group | the group to check for.

Returns:
  true if the user is a member of group, otherwise false.

void @12::sighup_handler | ( | int | ignore | ) | `[static]`

Handle the SIGHUP signal.

Parameters:

  | ignore | the signal number.

void @12::sigterm_handler | ( | int | ignore | ) | `[static]`

Handle the SIGTERM signal.

Parameters:

  | ignore | the signal number.

## Variable Documentation

emap init_errors[]`[static]`

This is a list of the supported error codes.

It's used to construct the real error codes map.

volatile bool sighup_called = false`[static]`

volatile bool sigterm_called = false`[static]`